| Disk ARchive 2.5.10 Full featured and portable backup and archiving tool

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Macros
sparse_file.hpp File Reference
Private

class sparse_file definition, used to handle holes in filesthis class is used to receive plain file's data to be written to the archive or to be read out from an archive. The class uses escape sequences to replace holes in files (long serie of zeros) by the number of zeros preceeded by a escape sequence mark. this class internally uses an escape object, with a modifed fixed escape sequence that optimizes the use of sparse_file objects with other escape objects. More...

`#include "../my_config.h"`
`#include "generic_file.hpp"`
`#include "escape.hpp"`

Go to the source code of this file.

## Namespaces
| libdar
| libdar namespace encapsulate all libdar symbols

## Macros
#define | SPARSE_FIXED_ZEROED_BLOCK 40960

## Detailed Description

class sparse_file definition, used to handle holes in files

this class is used to receive plain file's data to be written to the archive or to be read out from an archive. The class uses escape sequences to replace holes in files (long serie of zeros) by the number of zeros preceeded by a escape sequence mark. this class internally uses an escape object, with a modifed fixed escape sequence that optimizes the use of sparse_file objects with other escape objects.

Definition in file sparse_file.hpp.